# Created by pyp2rpm-3.3.1
%global pypi_name hacking

%bcond_without docs

Name:           python-%{pypi_name}
Version:        6.1.0
Release:        %mkrel 1
Summary:        OpenStack Hacking Guideline Enforcement
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/hacking/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%package -n     python3-%{pypi_name}
Summary:        OpenStack Hacking Guideline Enforcement
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
hacking is a set of flake8 plugins that test and enforce the OpenStack
StyleGuide

Hacking pins its dependencies, as a new release of some dependency can break
hacking based gating jobs. This is because new versions of dependencies can
introduce new rules, or make existing rules stricter.

%prep
%autosetup -p1 -n %{pypi_name}-%{version} -p1

# loosen reqs
sed -i -E -e "s/(['\"]?\s*\S*\s*>=\s*[0-9]+(\.[0-9]+)*)\s*,\s*(<|!=)\s*[0-9]+(\.[0-9]+)*(\s*['\"]?)/\1\5/g" doc/requirements.txt
sed -i -E -e "s/~=/>=/g" requirements.txt

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:doc/requirements.txt}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif



%changelog
* Tue Dec 19 2023 wally <wally> 6.1.0-1.mga10
+ Revision: 2019727
- new version 6.1.0
- use pyproject rpm macros
+ papoteur <papoteur>
- Mass Rebuild - Python 3.12

* Mon Aug 22 2022 wally <wally> 4.1.0-4.mga9
+ Revision: 1879196
- relax reqs

* Tue Apr 05 2022 umeabot <umeabot> 4.1.0-3.mga9
+ Revision: 1845396
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.1.0-2.mga9
+ Revision: 1784427
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 4.1.0-1.mga9
+ Revision: 1742926
- new version 4.1.0

* Sun Mar 21 2021 daviddavid <daviddavid> 4.0.0-3.mga9
+ Revision: 1706932
- relax flake8 dependency

* Sun Mar 21 2021 daviddavid <daviddavid> 4.0.0-2.mga9
+ Revision: 1706476
- rebuild for python 3.9

* Wed Dec 30 2020 wally <wally> 4.0.0-1.mga8
+ Revision: 1666235
- new version 4.0.0

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-6.mga8
+ Revision: 1533110
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 1.1.0-5.mga8
+ Revision: 1443313
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 1.1.0-4.mga7
+ Revision: 1352589
- Disable docs for now
- BR python(2,3)dist(reno)
- Rebuild for Python 3.7

* Sat Dec 15 2018 kekepower <kekepower> 1.1.0-3.mga7
+ Revision: 1341543
- Update patch to fix flake8 version dependency

* Sun Dec 09 2018 kekepower <kekepower> 1.1.0-2.mga7
+ Revision: 1339088
- Add patch to fix flake8 version dependency

* Sat Nov 03 2018 kekepower <kekepower> 1.1.0-1.mga7
+ Revision: 1327818
- Remove Patch0
- Remove BR for python3-sphinx
- Update to version 1.1.0

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1288940
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1215458
- BR python2dist(sphinx)
- Add patch to fix requirements
- Replace pep8 with pycodestyle
- imported package python-hacking

